Portal    Foro    Buscar    FAQ    Registrarse    Conectarse


Publicar nuevo tema  Responder al tema 
Página 1 de 1
 
 
Nueva Versionde Gambas3: Gambas3.8
Autor Mensaje
Responder citando   Descargar mensaje  
Mensaje Nueva Versionde Gambas3: Gambas3.8 
 
Pues eso , que Benoît, nos ha dejando el 1 de agosto, la nueva versión de gambas3.8

Para más detalles de los cambios que los he traducido al castellano:
http://jsbsan.blogspot.com.es/2015/...n-gambas38.html

fuente:
http://gambaswiki.org/wiki/doc/release/3.8.0?w
 




===================
Blog personal
Web: SoloGambas seleccion de articulos dedicados a Gambas
Visita el Curso de Gambas3 ¡¡¡Gratuito!!!
 
jsbsan - Ver perfil del usuarioEnviar mensaje privadoVisitar sitio web del usuario 
Volver arribaPágina inferior
Responder citando   Descargar mensaje  
Mensaje Re: Nueva Versionde Gambas3: Gambas3.8 
 
Jeje, no se yo que pensara Shordi de la referencia a QT5...

Vaya lista mas larga de cambios.  

Saludos
 




===================
Gambas Básico
"No es un bug, es una característica no documentada"
 
Shell - Ver perfil del usuarioEnviar mensaje privadoVisitar sitio web del usuario 
Volver arribaPágina inferior
Responder citando   Descargar mensaje  
Mensaje Re: Nueva Versionde Gambas3: Gambas3.8 
 
ubuntu me actualizo gambas esta mañana, ya la estoy usando....
 



 
tercoIDE - Ver perfil del usuarioEnviar mensaje privado 
Volver arribaPágina inferior
Responder citando   Descargar mensaje  
Mensaje Re: Nueva Versionde Gambas3: Gambas3.8 
 
buenas,

alguien instalo la versión 3.8 en fedora 22?

si es así pasen la forma      
 




===================
Software libre, programación libre, vida libre es la Public function Libertad()as Invendible
Proyectos: VisorRV1960,Taller2015,Tanteador
https://sourceforge.net/u/v3ctor-full/profile/
Blog: http://novatocodegambas.blogspot.com.uy/
 
v3ctor - Ver perfil del usuarioEnviar mensaje privadoVisitar sitio web del usuario 
Volver arribaPágina inferior
Responder citando   Descargar mensaje  
Mensaje Re: Nueva Versionde Gambas3: Gambas3.8 
 
saludos,
intente instalar la nueva 3.8, pero ahora tengo un conflicto
terrible, no se instala ni la nueva ni la vieja.
dice. RECURSIVE ERROR... ALL ERROR ***

alguna solución?
 



 
alessandri - Ver perfil del usuarioEnviar mensaje privado 
Volver arribaPágina inferior
Responder citando   Descargar mensaje  
Mensaje Re: Nueva Versionde Gambas3: Gambas3.8 
 
Aclara algo más: distribución de linux, cómo has intentado instalar gambas 3.8, cómo instalaste la anterior, cuál era la anterior, etc. etc.

Sin más explicación poco se te puede ayudar.

Saludos
 




===================
No podemos regresar
 
shordi - Ver perfil del usuarioEnviar mensaje privado 
Volver arribaPágina inferior
Responder citando   Descargar mensaje  
Mensaje Re: Nueva Versionde Gambas3: Gambas3.8 
 
Bien, uso UBUNTU 14.10 y tenia la versión 3.5.4 de gambas, la cual instale desde el centro de software de Ubuntu.
Actualice ubuntu, (no a la versión 15), solo los paquetes
entre los cuales incluyó gambas 3.7.1, hasta hay todo bien.
Luego descargue gambas 3.8. y ejecute sudo apt-get remove gambas3.

procedí con la compilación:
1) ./reconf-all
2) ./configure -C
3) make

es cuando ejecuto el make que sale este error:
CXX      gb_pdf_la-main.lo
In file included from main.cpp:26:0:
CPdfDocument.h:29:20: fatal error: PDFDoc.h: No such file or directory
 #include <PDFDoc.h>
                    ^
compilation terminated.
Makefile:484: recipe for target 'gb_pdf_la-main.lo' failed
make[4]: *** [gb_pdf_la-main.lo] Error 1
make[4]: Leaving directory '/home/alessandri/Escritorio/gambas3.3.8.0/gb.pdf/src'
Makefile:421: recipe for target 'all-recursive' failed
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory '/home/alessandri/Escritorio/gambas3.3.8.0/gb.pdf'
Makefile:352: recipe for target 'all' failed
make[2]: *** [all] Error 2
make[2]: Leaving directory '/home/alessandri/Escritorio/gambas3.3.8.0/gb.pdf'
Makefile:429: recipe for target 'all-recursive' failed
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory '/home/alessandri/Escritorio/gambas3.3.8.0'
Makefile:369: recipe for target 'all' failed
make: *** [all] Error 2


he utilizado el siguiente script para solucionar el problema pero sigue igual:
#!/bin/bash

initcolor()
{
    esc="\033"
    rojo="${esc}[31m${esc}[1m"
    verde="${esc}[32m${esc}[1m"
    amarillo="${esc}[33m${esc}[1m"
    negrita="${esc}[1m"
    reset="${esc}[0m"
}

initcolor
 echo -e "${amarillo} Borrado de instalacion anterior.... ${reset}"
echo ''
echo -e "${rojo} Por favor introduce tu password de superusuario:${reset}"
stty_orig=`stty -g`
stty -echo
read PASS
stty $stty_orig
clear

# del /usr/local/ (lo dejamos por si acaso..
echo $PASS | sudo -S rm -rv /usr/local/lib/gambas3 /usr/local/share/gambas3
sudo rm -v /usr/local/bin/gbr3 /usr/local/bin/gbx3 /usr/local/bin/gbs3* \
/usr/local/bin/gbi3 /usr/local/bin/gbc3 /usr/local/bin/gba3
sudo rm -v /usr/local/bin/gambas3*

# del /usr
sudo rm -rv /usr/lib/gambas3 /usr/share/gambas
sudo rm -v /usr/bin/gbr3 /usr/bin/gbx3 /usr/bin/gbs3* /usr/bin/gbi3 /usr/bin/gbc3 /usr/bin/g
sudo rm -v /usr/bin/gambas3
echo -e "${verde} Borrado ${reset}"

También use el synaptic para eliminar cualquier componente del gambas3.

nota: tengo gambas2 instalado en ubuntu 14.10 // entorno de escritorio Mate

y para mi sorpresa se instalo muy bien en Ubuntu 10.10 MAVERICK..
Gracias...
 



 
alessandri - Ver perfil del usuarioEnviar mensaje privado 
Volver arribaPágina inferior
Responder citando   Descargar mensaje  
Mensaje Re: Nueva Versionde Gambas3: Gambas3.8 
 
Lo único que echo en falta en tu procedimiento de limpieza es asegurarte que todo se ha eliminado en $HOME/.config/gambas3...

He mirado en gambaswiki y aún no lo han actualizado con las peculiaridades de gambas 3.8, pero si usas Ubuntu... ¿Por qué no instalas el repositorio e instalas gambas desde él? Sólo tienes que ejecutar

sudo add-apt-repository ppa:gambas-team/gambas3

Eso te instala la versión estable del 3.8.

Ya nos cuentas.
 




===================
No podemos regresar
 
shordi - Ver perfil del usuarioEnviar mensaje privado 
Volver arribaPágina inferior
Responder citando   Descargar mensaje  
Mensaje Re: Nueva Versionde Gambas3: Gambas3.8 
 
El error es porque te faltan las dependencias para compilar gambas, no por que hay algun archivo remanente de la instalación anterior. Busca en la wiki las instrucciones para compilar gambas, que incluyen una lista de paquetes que debes instalar.
 



 
sebikul - Ver perfil del usuarioEnviar mensaje privado 
Volver arribaPágina inferior
Mostrar mensajes anteriores:    
 
Ocultar¡Este tema fue útil?

 

Elegir valoración:                       

Media de valoración Valoración mínima Valoración máxima Número de valoraciones
0.00 0 0 0
 
OcultarTemas parecidos
Tema Autor Foro Respuestas último mensaje
No hay nuevos mensajes Nueva Versión De Gambas3.10 jsbsan General 14 Sabado, 26 Agosto 2017, 01:10 Ver último mensaje
tincho
No hay nuevos mensajes Proyecto Lince: Lanzamiento De La Nueva BE... jsbsan Aplicaciones/Fragmentos de Código 15 Jueves, 02 Febrero 2012, 21:33 Ver último mensaje
jsbsan
No hay nuevos mensajes Nueva Version De La Distribución De Picar... jsbsan General 5 Domingo, 12 Octobre 2014, 11:35 Ver último mensaje
jsbsan
No hay nuevos mensajes Crear BD En Gambas3: Administrador De Base... jsbsan Bases de Datos 6 Martes, 30 Agosto 2011, 18:00 Ver último mensaje
david
 

Publicar nuevo tema  Responder al tema  Página 1 de 1
 

Usuarios navegando en este tema: 0 registrados, 0 ocultos y 0 invitados
Usuarios registrados conectados: Ninguno


 
Lista de permisos
No puede crear mensajes
No puede responder temas
No puede editar sus mensajes
No puede borrar sus mensajes
No puede votar en encuestas
No puede adjuntar archivos
No puede descargar archivos
No puede publicar eventos en el calendario